// Modified by Yen-Ju Chen <yjchenx@hotmail.com>
/*
**  Element.m
**
**  Copyright (c) 2002   
**
**  Author: Ludovic Marcotte <ludovic@Sophos.ca>
**
**  This program is free software; you can redistribute it and/or modify
**  it under the terms of the GNU General Public License as published by
**  the Free Software Foundation; either version 2 of the License, or
**  (at your option) any later version.
**
**  This program is distributed in the hope that it will be useful,
**  but WITHOUT ANY WARRANTY; without even the implied warranty of
**  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
**  GNU General Public License for more details.
**
**  You should have received a copy of the GNU General Public License
**  along with this program; if not, write to the Free Software
**  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*/

#include "Element.h"
#include <Foundation/NSString.h>
#include <Foundation/NSURL.h>

@implementation Element

- (id) init
{
  self = [super init];

  return self;
}

- (void) dealloc
{
  RELEASE(title);
  RELEASE(description);
  RELEASE(link);
  RELEASE(url);

  [super dealloc];
}

// access / mutation methods
- (NSString *) title
{
  return title;
}

- (void) setTitle: (NSString *) theTitle
{
  ASSIGN(title, theTitle);
}

- (NSString *) description
{
  return description;
}

- (void) setDescription: (NSString *) theDescription
{
  ASSIGN(description, theDescription);
}

- (NSURL *) link
{
  return link;
}

- (void) setLink: (NSURL *) theLink
{
  ASSIGN(link, theLink);
}

- (NSURL *) url
{
  return url;
}

- (void) setURL: (NSURL *) theURL
{
  ASSIGN(url, theURL);
}

- (int) type
{
  return type;
}

- (void) setType: (int) theType
{
  type = theType;
}

@end
